AMD Radeon HD 7640G[1002:9903] Unable to resume from suspend with radeon driver

Bug #1204339 reported by Po-Hsu Lin on 2013-07-24
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Liming Wang

Bug Description

CID: 201206-11418 Dell Inspiron N5425

This system could be successfully suspended with radeon driver, but unable to resume from it.
On resume, the system start waking but there is nothing on the screen (black screen).
And the system become non-responding. Reboot is the only way to regain usability.

WORKAROUND: By the way, this system could be suspend / resume normally with the AMD proprietary driver.

Therefore, either this bug or that one should be considered as a blocker.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.5.0-36-generic 3.5.0-36.57~precise1
ProcVersionSignature: Ubuntu 3.5.0-36.57~precise1-generic 3.5.7.14
Uname: Linux 3.5.0-36-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu17.3
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: Generic [HD-Audio Generic], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 1723 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 1723 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'HDMI'/'HDA ATI HDMI at 0xfeb44000 irq 53'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100300'
   Controls : 6
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xfeb40000 irq 16'
   Mixer name : 'Conexant CX20590'
   Components : 'HDA:14f1506e,10280561,00100003'
   Controls : 20
   Simple ctrls : 10
Date: Tue Jul 23 06:06:53 2013
HibernationDevice: RESUME=UUID=770418a5-35a9-4a8e-b5e7-1773a925f90e
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
MachineType: Dell Inc. Inspiron 5425
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 radeondrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-36-generic root=UUID=008d62bf-b6c3-4c01-8f2e-7c350aeb68d7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-36-generic N/A
 linux-backports-modules-3.5.0-36-generic N/A
 linux-firmware 1.79.4
SourcePackage: linux
StagingDrivers: rts5139
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/30/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X31
dmi.board.name: Inspiron 5425
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrX31:bd01/30/2013:svnDellInc.:pnInspiron5425:pvrNotSpecified:rvnDellInc.:rnInspiron5425:rvrA02:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 5425
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Daniel Manrique (roadmr) on 2013-07-25
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-suspend-log
tags: added: bios-outdated-a08
description: updated
Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → AceLan Kao (acelankao)
tags: added: bios-outdated-a09
removed: bios-outdated-a08
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Po-Hsu Lin (cypressyew) wrote :

With BIOS version A09 and 3.5.0-44 on 201206-11418, system will wake itself up after it's suspended, the power LED will blink for 1 or 2 second then it will be resumed automatically.
Although there is no display afterward, but the system still accessible via SSH.

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
A09
05/17/2013

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :

BTW, the system will enter the low graphic mode if you reboot the system after this.
Reboot again could solve this low graphic mode issue.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: latest-bios-a09
removed: bios-outdated-a09

Po-Hsu Lin, thank you for updating your BIOS. Could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please just make a comment to this.

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-upstream-testing
Po-Hsu Lin (cypressyew) wrote :

Verified with Trusty daily-live (3.12.0-7) and the latest mainline kernel (3.13.0-rc6)
No display after suspend, caps lock led is responsive, but I can't ssh into the system.

tags: added: kernel-bug-exists-upstream-3.13.0-rc6
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Po-Hsu Lin, thank you for testing Trusty, and the lastest mainline kernel. Could you please provide 3) and 4) from https://wiki.ubuntu.com/DebuggingKernelSuspend ?

tags: added: kernel-bug-exists-upstream-v3.13-rc6
removed: kernel-bug-exists-upstream-3.13.0-rc6
tags: added: trusty
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Po-Hsu Lin (cypressyew) wrote :

On 3.13rc6, It could be resumed normally with "nomodeset" added into grub.
Display works fine after resume from suspend.

Device S-state Status Sysfs node
SBAZ S4 *disabled pci:0000:00:14.2
EHC1 S4 *enabled pci:0000:00:12.2
OHC2 S4 *enabled pci:0000:00:13.0
OHC3 S4 *disabled
EHC3 S4 *disabled
OHC4 S4 *enabled pci:0000:00:14.5
XHC0 S4 *enabled pci:0000:00:10.0
XHC1 S4 *enabled pci:0000:00:10.1
PE20 S4 *disabled
PE21 S4 *disabled
PE22 S4 *disabled
PE23 S4 *disabled
LOM S4 *disabled pci:0000:02:00.0
P0PC S4 *disabled pci:0000:00:14.4
OHC1 S4 *enabled pci:0000:00:12.0
EHC2 S4 *enabled pci:0000:00:13.2
LID S3 *enabled

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Po-Hsu Lin, thank you for providing 3), and advising on the WORKAROUND. Could you also please provide 4) from https://wiki.ubuntu.com/DebuggingKernelSuspend ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Po-Hsu Lin (cypressyew) wrote :

Oops, here it is
verified on 3.13-rc6

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: removed: needs-suspend-log

Po-Hsu Lin, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Medium → Low
status: Confirmed → Triaged
Po-Hsu Lin (cypressyew) wrote :

Verified with 12.04.4 and 14.04 Trusty dailylive, 201206-11418 is still affected
since the brightness control issue as filed in bug 1190903 is resolved with the proprietary driver, I will remove the blocker tag.

tags: removed: blocks-hwcert
description: updated
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
assignee: AceLan Kao (acelankao) → Liming Wang (wangliming)
Liming Wang (wangliming) wrote :

Po-Hsu Lin, please help me to test the latest mainline kernel to see whether the problem still exists.
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc5-utopic/

Po-Hsu Lin (cypressyew) wrote :

Hello Liming,
For this mainline kernel (3.16-rc5) on top of 3.11 kernel (12.04.4)
This system will running in low-graphic mode after boot.

To post a comment you must log in.